/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others. All rights reserved.
 * This program and the accompanying materials are made available under the
 * terms of the Common Public License v1.0 which accompanies this distribution,
 * and is available at http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors: IBM Corporation - initial API and implementation
 ******************************************************************************/
package org.eclipse.help.ui.internal.search;
import org.eclipse.jface.action.*;
public class SortAction extends Action {
	private int fSortOrder;
	private ResultPage fPage;
	public SortAction(String label, ResultPage page, int sortOrder) {
		super(label);
		fPage = page;
		fSortOrder = sortOrder;
	}
	public void run() {
		fPage.setSortOrder(this);
	}
	public int getSortOrder() {
		return fSortOrder;
	}
}